# Generated by Django 3.2.5 on 2022-01-10 19:14

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('paginaDeCaptura', '0007_auto_20220110_1530'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cupom',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('companny', models.CharField(max_length=100, verbose_name='empresa')),
                ('code', models.CharField(max_length=50, unique=True, verbose_name='Código do cupom')),
                ('active', models.BooleanField(default=True, verbose_name='Ativo')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Data de criação')),
            ],
        ),
        migrations.AddField(
            model_name='gobig',
            name='cupom',
            field=models.ForeignKey(blank=True, default=None, editable=False, on_delete=django.db.models.deletion.CASCADE, to='paginaDeCaptura.cupom', verbose_name='Cupom de desconto'),
        ),
    ]
